# azure.mgmt.containerregistry.v2017_10_01.operations module

class `azure.mgmt.containerregistry.v2017_10_01.operations.``RegistriesOperations`(client, config, serializer, deserializer)

  Bases: `object`

  RegistriesOperations operations.

  You should not instantiate directly this class, but create a Client instance that will create it for you and attach it as attribute.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An object model deserializer.

  Variables: | api_version – The client API version. Constant value: “2017-10-01”.

  `check_name_availability`(name, custom_headers=None, raw=False, **operation_config)

    Checks whether the container registry name is available for use. The name must contain only alphanumeric characters, be globally unique, and between 5 and 50 characters in length.

    Parameters:

    - name (str) – The name of the container registry.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | RegistryNameStatus or ClientRawResponse if raw=true
    Return type: | RegistryNameStatus or ClientRawResponse
    Raises: | `CloudError`

  `create`(resource_group_name, registry_name, registry, custom_headers=None, raw=False, polling=True, **operation_config)

    Creates a container registry with the specified parameters.

    Parameters:

    - resource_group_name (str) – The name of the resource group to which the container registry belongs.
    - registry_name (str) – The name of the container registry.
    - registry (Registry) – The parameters for creating a container registry.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – The poller return type is ClientRawResponse, the direct response alongside the deserialized response
    - polling – True for ARMPolling, False for no polling, or a polling object for personal polling strategy

    Returns: | An instance of LROPoller that returns Registry or ClientRawResponse<Registry> if raw==True
    Return type: | AzureOperationPoller[Registry] or AzureOperationPoller[ClientRawResponse[Registry]]
    Raises: | `CloudError`

  `delete`(resource_group_name, registry_name, custom_headers=None, raw=False, polling=True, **operation_config)

    Deletes a container registry.

    Parameters:

    - resource_group_name (str) – The name of the resource group to which the container registry belongs.
    - registry_name (str) – The name of the container registry.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – The poller return type is ClientRawResponse, the direct response alongside the deserialized response
    - polling – True for ARMPolling, False for no polling, or a polling object for personal polling strategy

    Returns: | An instance of LROPoller that returns None or ClientRawResponse<None> if raw==True
    Return type: | AzureOperationPoller[None] or AzureOperationPoller[ClientRawResponse[None]]
    Raises: | `CloudError`

  `get`(resource_group_name, registry_name, custom_headers=None, raw=False, **operation_config)

    Gets the properties of the specified container registry.

    Parameters:

    - resource_group_name (str) – The name of the resource group to which the container registry belongs.
    - registry_name (str) – The name of the container registry.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | Registry or ClientRawResponse if raw=true
    Return type: | Registry or ClientRawResponse
    Raises: | `CloudError`

  `import_image`(resource_group_name, registry_name, parameters, custom_headers=None, raw=False, polling=True, **operation_config)

    Copies an image to this container registry from the specified container registry.

    Parameters:

    - resource_group_name (str) – The name of the resource group to which the container registry belongs.
    - registry_name (str) – The name of the container registry.
    - parameters (ImportImageParameters) – The parameters specifying the image to copy and the source container registry.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – The poller return type is ClientRawResponse, the direct response alongside the deserialized response
    - polling – True for ARMPolling, False for no polling, or a polling object for personal polling strategy

    Returns: | An instance of LROPoller that returns None or ClientRawResponse<None> if raw==True
    Return type: | AzureOperationPoller[None] or AzureOperationPoller[ClientRawResponse[None]]
    Raises: | `CloudError`

  `list`(custom_headers=None, raw=False, **operation_config)

    Lists all the container registries under the specified subscription.

    Parameters:

    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | An iterator like instance of Registry
    Return type: | RegistryPaged[Registry]
    Raises: | `CloudError`

  `list_by_resource_group`(resource_group_name, custom_headers=None, raw=False, **operation_config)

    Lists all the container registries under the specified resource group.

    Parameters:

    - resource_group_name (str) – The name of the resource group to which the container registry belongs.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | An iterator like instance of Registry
    Return type: | RegistryPaged[Registry]
    Raises: | `CloudError`

  `list_credentials`(resource_group_name, registry_name, custom_headers=None, raw=False, **operation_config)

    Lists the login credentials for the specified container registry.

    Parameters:

    - resource_group_name (str) – The name of the resource group to which the container registry belongs.
    - registry_name (str) – The name of the container registry.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | RegistryListCredentialsResult or ClientRawResponse if raw=true
    Return type: | RegistryListCredentialsResult or ClientRawResponse
    Raises: | `CloudError`

  `list_policies`(resource_group_name, registry_name, custom_headers=None, raw=False, **operation_config)

    Lists the policies for the specified container registry.

    Parameters:

    - resource_group_name (str) – The name of the resource group to which the container registry belongs.
    - registry_name (str) – The name of the container registry.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | RegistryPolicies or ClientRawResponse if raw=true
    Return type: | RegistryPolicies or ClientRawResponse
    Raises: | `CloudError`

  `list_usages`(resource_group_name, registry_name, custom_headers=None, raw=False, **operation_config)

    Gets the quota usages for the specified container registry.

    Parameters:

    - resource_group_name (str) – The name of the resource group to which the container registry belongs.
    - registry_name (str) – The name of the container registry.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | RegistryUsageListResult or ClientRawResponse if raw=true
    Return type: | RegistryUsageListResult or ClientRawResponse
    Raises: | `CloudError`

  `regenerate_credential`(resource_group_name, registry_name, name, custom_headers=None, raw=False, **operation_config)

    Regenerates one of the login credentials for the specified container registry.

    Parameters:

    - resource_group_name (str) – The name of the resource group to which the container registry belongs.
    - registry_name (str) – The name of the container registry.
    - name (str or PasswordName) – Specifies name of the password which should be regenerated – password or password2. Possible values include: ‘password’, ‘password2’
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | RegistryListCredentialsResult or ClientRawResponse if raw=true
    Return type: | RegistryListCredentialsResult or ClientRawResponse
    Raises: | `CloudError`

  `update`(resource_group_name, registry_name, registry_update_parameters, custom_headers=None, raw=False, polling=True, **operation_config)

    Updates a container registry with the specified parameters.

    Parameters:

    - resource_group_name (str) – The name of the resource group to which the container registry belongs.
    - registry_name (str) – The name of the container registry.
    - registry_update_parameters (RegistryUpdateParameters) – The parameters for updating a container registry.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – The poller return type is ClientRawResponse, the direct response alongside the deserialized response
    - polling – True for ARMPolling, False for no polling, or a polling object for personal polling strategy

    Returns: | An instance of LROPoller that returns Registry or ClientRawResponse<Registry> if raw==True
    Return type: | AzureOperationPoller[Registry] or AzureOperationPoller[ClientRawResponse[Registry]]
    Raises: | `CloudError`

  `update_policies`(resource_group_name, registry_name, quarantine_policy=None, trust_policy=None, custom_headers=None, raw=False, polling=True, **operation_config)

    Updates the policies for the specified container registry.

    Parameters:

    - resource_group_name (str) – The name of the resource group to which the container registry belongs.
    - registry_name (str) – The name of the container registry.
    - quarantine_policy (QuarantinePolicy) – An object that represents quarantine policy for a container registry.
    - trust_policy (TrustPolicy) – An object that represents content trust policy for a container registry.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – The poller return type is ClientRawResponse, the direct response alongside the deserialized response
    - polling – True for ARMPolling, False for no polling, or a polling object for personal polling strategy

    Returns: | An instance of LROPoller that returns RegistryPolicies or ClientRawResponse<RegistryPolicies> if raw==True
    Return type: | AzureOperationPoller[RegistryPolicies] or AzureOperationPoller[ClientRawResponse[RegistryPolicies]]
    Raises: | `CloudError`

  `models` = <module 'azure.mgmt.containerregistry.v2017_10_01.models' from '/usr/lib/python3/dist-packages/azure/mgmt/containerregistry/v2017_10_01/models/__init__.py'>

class `azure.mgmt.containerregistry.v2017_10_01.operations.``Operations`(client, config, serializer, deserializer)

  Bases: `object`

  Operations operations.

  You should not instantiate directly this class, but create a Client instance that will create it for you and attach it as attribute.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An object model deserializer.

  Variables: | api_version – The client API version. Constant value: “2017-10-01”.

  `list`(custom_headers=None, raw=False, **operation_config)

    Lists all of the available Azure Container Registry REST API operations.

    Parameters:

    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | An iterator like instance of OperationDefinition
    Return type: | OperationDefinitionPaged[OperationDefinition]
    Raises: | `CloudError`

  `models` = <module 'azure.mgmt.containerregistry.v2017_10_01.models' from '/usr/lib/python3/dist-packages/azure/mgmt/containerregistry/v2017_10_01/models/__init__.py'>

class `azure.mgmt.containerregistry.v2017_10_01.operations.``ReplicationsOperations`(client, config, serializer, deserializer)

  Bases: `object`

  ReplicationsOperations operations.

  You should not instantiate directly this class, but create a Client instance that will create it for you and attach it as attribute.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An object model deserializer.

  Variables: | api_version – The client API version. Constant value: “2017-10-01”.

  `create`(resource_group_name, registry_name, replication_name, location, tags=None, custom_headers=None, raw=False, polling=True, **operation_config)

    Creates a replication for a container registry with the specified parameters.

    Parameters:

    - resource_group_name (str) – The name of the resource group to which the container registry belongs.
    - registry_name (str) – The name of the container registry.
    - replication_name (str) – The name of the replication.
    - location (str) – The location of the resource. This cannot be changed after the resource is created.
    - tags (dict[str, str]) – The tags of the resource.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – The poller return type is ClientRawResponse, the direct response alongside the deserialized response
    - polling – True for ARMPolling, False for no polling, or a polling object for personal polling strategy

    Returns: | An instance of LROPoller that returns Replication or ClientRawResponse<Replication> if raw==True
    Return type: | AzureOperationPoller[Replication] or AzureOperationPoller[ClientRawResponse[Replication]]
    Raises: | `CloudError`

  `delete`(resource_group_name, registry_name, replication_name, custom_headers=None, raw=False, polling=True, **operation_config)

    Deletes a replication from a container registry.

    Parameters:

    - resource_group_name (str) – The name of the resource group to which the container registry belongs.
    - registry_name (str) – The name of the container registry.
    - replication_name (str) – The name of the replication.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – The poller return type is ClientRawResponse, the direct response alongside the deserialized response
    - polling – True for ARMPolling, False for no polling, or a polling object for personal polling strategy

    Returns: | An instance of LROPoller that returns None or ClientRawResponse<None> if raw==True
    Return type: | AzureOperationPoller[None] or AzureOperationPoller[ClientRawResponse[None]]
    Raises: | `CloudError`

  `get`(resource_group_name, registry_name, replication_name, custom_headers=None, raw=False, **operation_config)

    Gets the properties of the specified replication.

    Parameters:

    - resource_group_name (str) – The name of the resource group to which the container registry belongs.
    - registry_name (str) – The name of the container registry.
    - replication_name (str) – The name of the replication.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | Replication or ClientRawResponse if raw=true
    Return type: | Replication or ClientRawResponse
    Raises: | `CloudError`

  `list`(resource_group_name, registry_name, custom_headers=None, raw=False, **operation_config)

    Lists all the replications for the specified container registry.

    Parameters:

    - resource_group_name (str) – The name of the resource group to which the container registry belongs.
    - registry_name (str) – The name of the container registry.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | An iterator like instance of Replication
    Return type: | ReplicationPaged[Replication]
    Raises: | `CloudError`

  `update`(resource_group_name, registry_name, replication_name, tags=None, custom_headers=None, raw=False, polling=True, **operation_config)

    Updates a replication for a container registry with the specified parameters.

    Parameters:

    - resource_group_name (str) – The name of the resource group to which the container registry belongs.
    - registry_name (str) – The name of the container registry.
    - replication_name (str) – The name of the replication.
    - tags (dict[str, str]) – The tags for the replication.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – The poller return type is ClientRawResponse, the direct response alongside the deserialized response
    - polling – True for ARMPolling, False for no polling, or a polling object for personal polling strategy

    Returns: | An instance of LROPoller that returns Replication or ClientRawResponse<Replication> if raw==True
    Return type: | AzureOperationPoller[Replication] or AzureOperationPoller[ClientRawResponse[Replication]]
    Raises: | `CloudError`

  `models` = <module 'azure.mgmt.containerregistry.v2017_10_01.models' from '/usr/lib/python3/dist-packages/azure/mgmt/containerregistry/v2017_10_01/models/__init__.py'>

class `azure.mgmt.containerregistry.v2017_10_01.operations.``WebhooksOperations`(client, config, serializer, deserializer)

  Bases: `object`

  WebhooksOperations operations.

  You should not instantiate directly this class, but create a Client instance that will create it for you and attach it as attribute.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An object model deserializer.

  Variables: | api_version – The client API version. Constant value: “2017-10-01”.

  `create`(resource_group_name, registry_name, webhook_name, webhook_create_parameters, custom_headers=None, raw=False, polling=True, **operation_config)

    Creates a webhook for a container registry with the specified parameters.

    Parameters:

    - resource_group_name (str) – The name of the resource group to which the container registry belongs.
    - registry_name (str) – The name of the container registry.
    - webhook_name (str) – The name of the webhook.
    - webhook_create_parameters (WebhookCreateParameters) – The parameters for creating a webhook.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – The poller return type is ClientRawResponse, the direct response alongside the deserialized response
    - polling – True for ARMPolling, False for no polling, or a polling object for personal polling strategy

    Returns: | An instance of LROPoller that returns Webhook or ClientRawResponse<Webhook> if raw==True
    Return type: | AzureOperationPoller[Webhook] or AzureOperationPoller[ClientRawResponse[Webhook]]
    Raises: | `CloudError`

  `delete`(resource_group_name, registry_name, webhook_name, custom_headers=None, raw=False, polling=True, **operation_config)

    Deletes a webhook from a container registry.

    Parameters:

    - resource_group_name (str) – The name of the resource group to which the container registry belongs.
    - registry_name (str) – The name of the container registry.
    - webhook_name (str) – The name of the webhook.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – The poller return type is ClientRawResponse, the direct response alongside the deserialized response
    - polling – True for ARMPolling, False for no polling, or a polling object for personal polling strategy

    Returns: | An instance of LROPoller that returns None or ClientRawResponse<None> if raw==True
    Return type: | AzureOperationPoller[None] or AzureOperationPoller[ClientRawResponse[None]]
    Raises: | `CloudError`

  `get`(resource_group_name, registry_name, webhook_name, custom_headers=None, raw=False, **operation_config)

    Gets the properties of the specified webhook.

    Parameters:

    - resource_group_name (str) – The name of the resource group to which the container registry belongs.
    - registry_name (str) – The name of the container registry.
    - webhook_name (str) – The name of the webhook.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | Webhook or ClientRawResponse if raw=true
    Return type: | Webhook or ClientRawResponse
    Raises: | `CloudError`

  `get_callback_config`(resource_group_name, registry_name, webhook_name, custom_headers=None, raw=False, **operation_config)

    Gets the configuration of service URI and custom headers for the webhook.

    Parameters:

    - resource_group_name (str) – The name of the resource group to which the container registry belongs.
    - registry_name (str) – The name of the container registry.
    - webhook_name (str) – The name of the webhook.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | CallbackConfig or ClientRawResponse if raw=true
    Return type: | CallbackConfig or ClientRawResponse
    Raises: | `CloudError`

  `list`(resource_group_name, registry_name, custom_headers=None, raw=False, **operation_config)

    Lists all the webhooks for the specified container registry.

    Parameters:

    - resource_group_name (str) – The name of the resource group to which the container registry belongs.
    - registry_name (str) – The name of the container registry.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | An iterator like instance of Webhook
    Return type: | WebhookPaged[Webhook]
    Raises: | `CloudError`

  `list_events`(resource_group_name, registry_name, webhook_name, custom_headers=None, raw=False, **operation_config)

    Lists recent events for the specified webhook.

    Parameters:

    - resource_group_name (str) – The name of the resource group to which the container registry belongs.
    - registry_name (str) – The name of the container registry.
    - webhook_name (str) – The name of the webhook.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | An iterator like instance of Event
    Return type: | EventPaged[Event]
    Raises: | `CloudError`

  `ping`(resource_group_name, registry_name, webhook_name, custom_headers=None, raw=False, **operation_config)

    Triggers a ping event to be sent to the webhook.

    Parameters:

    - resource_group_name (str) – The name of the resource group to which the container registry belongs.
    - registry_name (str) – The name of the container registry.
    - webhook_name (str) – The name of the webhook.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | EventInfo or ClientRawResponse if raw=true
    Return type: | EventInfo or ClientRawResponse
    Raises: | `CloudError`

  `update`(resource_group_name, registry_name, webhook_name, webhook_update_parameters, custom_headers=None, raw=False, polling=True, **operation_config)

    Updates a webhook with the specified parameters.

    Parameters:

    - resource_group_name (str) – The name of the resource group to which the container registry belongs.
    - registry_name (str) – The name of the container registry.
    - webhook_name (str) – The name of the webhook.
    - webhook_update_parameters (WebhookUpdateParameters) – The parameters for updating a webhook.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – The poller return type is ClientRawResponse, the direct response alongside the deserialized response
    - polling – True for ARMPolling, False for no polling, or a polling object for personal polling strategy

    Returns: | An instance of LROPoller that returns Webhook or ClientRawResponse<Webhook> if raw==True
    Return type: | AzureOperationPoller[Webhook] or AzureOperationPoller[ClientRawResponse[Webhook]]
    Raises: | `CloudError`

  `models` = <module 'azure.mgmt.containerregistry.v2017_10_01.models' from '/usr/lib/python3/dist-packages/azure/mgmt/containerregistry/v2017_10_01/models/__init__.py'>